keylookup(1)

NAME

keylookup - Fetch and Import GnuPG keys from keyservers.

SYNOPSIS
keylookup [options] search-string

DESCRIPTION

keylookup is a wrapper around gpg --search, allowing you to search for keys on a keyserver. It presents the list of matching keys to the user and allows her to select the keys for importing into the GnuPG keyring.

For the search and actual import of keys GnuPG itself is called.

OPTIONS

--keyserver=keyserver
    Specify the keyserver to use. If no keyserver is specified, it will parse the GnuPG options file for a default keyserver to use. If no keyserver can be found, keylookup will abort.

--port=port
    Use a port other than 11371.

--frontend=frontend
    keylookup supports displaying the search results with 3 different frondends. Both whiptail and dialog are interactive and allow the user to select the keys to import. The third frontend plain is non-interactive and just prints the keys to STDOUT. The user must then call GnuPG him/herself.

    If available, /usr/bin/dialog is the default. If it is not available but /usr/bin/whiptail is installed, then this is used instead. If nothing else works, we'll fall back to plain.

--importall
    Don't ask the user which keys to import, but instead import all keys matching the search-string. If this is given no frontend is needed.

--honor-http-proxy
    Similar to GnuP keylookup will only honor the http_proxy environment variable if this option is given. If it is not given but your GnuPG options file includes it, then keylookup will use it.

--help
    Print a brief help message and exit successfully.

ENVIRONMENT

HOME
    Used to locate the default home directory.

GNUPGHOME
    If set directory used instead of "~/.gnupg".

GNUPGBIN
    If set used as gpg binary instead of "gpg".

http_proxy
    Only honored when the option --honor-http-proxy is set or honor-http-proxy is set in GnuPG's config file.

EXAMPLES

keylookup Christian Kurz
    will query your default keyserver for Christian's keys and offer you to import them into your keyring with the dialog frontend (if available).

keylookup --honor-http-proxy --frontend plain wk@gnupg
    will query the default keyserver again, now using the http_proxy if the environment variable is defined and list wk@gnupg's (Werner Koch)'s key on STDOUT.

keylookup --keyserver pgp.mit.edu Peter Palfrader
    will now ask the keyserver pgp.mit.edu for my (Peter's) keys and display them for import in dialog.

FILES

~/.gnupg/options
    GnuPG's options file where keylookup will take the keyserver and honor-http-proxy values from if it exists.

SEE ALSO

gpg(1)

BUGS

Please report bugs using the Debian bug tracking system at https://bugs.debian.org/.

AUTHORS

Christian Kurz <shorty@debian.org>
Peter Palfrader <peter@palfrader.org>